require 'rails_helper'

describe ContractTemplates::QrCodesController do
  let(:account) { build(:account) }
  let(:current_user)      { create(:user, :manager, primary_account: account) }
  let(:project) { create(:project, members: [current_user], account: account) }
  let(:contract_template) { create(:contract_template, project: project) }

  before do
    sign_in(current_user)
  end

  describe "#show" do
    it "responds with success" do
      get :show, params: { contract_template_id: contract_template }

      expect(response).to be_successful
    end
  end
end
